Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ClusterMsgHandler Class Reference

## Public Member Functions
| __init__ (self, packetStart, notify)
| blockingRead (self, qcr)
| makeCamFrustumDatagram (self, focalLength, filmSize, filmOffset)
| makeCamMovementDatagram (self, xyz, hpr)
| makeCamOffsetDatagram (self, xyz, hpr)
| makeCommandStringDatagram (self, commandString)
| makeExitDatagram (self)
| makeNamedMovementDone (self)
| makeNamedObjectMovementDatagram (self, xyz, hpr, scale, color, hidden, name)
| makeSelectedMovementDatagram (self, xyz, hpr, scale)
| makeSwapNowDatagram (self)
| makeSwapReadyDatagram (self)
| makeTimeDataDatagram (self, frameCount, frameTime, dt)
| nonBlockingRead (self, qcr)
| parseCamFrustumDatagram (self, dgi)
| parseCamMovementDatagram (self, dgi)
| parseCamOffsetDatagram (self, dgi)
| parseCommandStringDatagram (self, dgi)
| parseNamedMovementDatagram (self, dgi)
| parseSelectedMovementDatagram (self, dgi)
| parseTimeDataDatagram (self, dgi)
| readHeader (self, datagram)

## Public Attributes
| notify = notify
int | packetNumber = packetStart

## Detailed Description

    ClusterMsgHandler: wrapper for PC clusters/multi-piping networking

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | packetStart,
|  |  | notify )

## Member Function Documentation

## ◆ blockingRead()

blockingRead | ( |  | self,
|  |  | qcr )

    Block until data is available on the queued connection reader.
    Returns a datagram iterator and type

## ◆ makeCamFrustumDatagram()

makeCamFrustumDatagram | ( |  | self,
|  |  | focalLength,
|  |  | filmSize,
|  |  | filmOffset )

## ◆ makeCamMovementDatagram()

makeCamMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr )

## ◆ makeCamOffsetDatagram()

makeCamOffsetDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr )

## ◆ makeCommandStringDatagram()

makeCommandStringDatagram | ( |  | self,
|  |  | commandString )

## ◆ makeExitDatagram()

makeExitDatagram | ( |  | self | ) |

## ◆ makeNamedMovementDone()

makeNamedMovementDone | ( |  | self | ) |

## ◆ makeNamedObjectMovementDatagram()

makeNamedObjectMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale,
|  |  | color,
|  |  | hidden,
|  |  | name )

## ◆ makeSelectedMovementDatagram()

makeSelectedMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale )

## ◆ makeSwapNowDatagram()

makeSwapNowDatagram | ( |  | self | ) |

## ◆ makeSwapReadyDatagram()

makeSwapReadyDatagram | ( |  | self | ) |

## ◆ makeTimeDataDatagram()

makeTimeDataDatagram | ( |  | self,
|  |  | frameCount,
|  |  | frameTime,
|  |  | dt )

## ◆ nonBlockingRead()

nonBlockingRead | ( |  | self,
|  |  | qcr )

    Return a datagram iterator and type if data is available on the
    queued connection reader

## ◆ parseCamFrustumDatagram()

parseCamFrustumDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseCamMovementDatagram()

parseCamMovementDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseCamOffsetDatagram()

parseCamOffsetDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseCommandStringDatagram()

parseCommandStringDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseNamedMovementDatagram()

parseNamedMovementDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseSelectedMovementDatagram()

parseSelectedMovementDatagram | ( |  | self,
|  |  | dgi )

## ◆ parseTimeDataDatagram()

parseTimeDataDatagram | ( |  | self,
|  |  | dgi )

## ◆ readHeader()

readHeader | ( |  | self,
|  |  | datagram )

## Member Data Documentation

## ◆ notify

notify = notify

## ◆ packetNumber

packetNumber = packetStart